API ReferenceTool Router

Create a presigned download URL for a mount file

Markdown
POST
/api/v3/tool_router/session/{session_id}/mounts/{mount_id}/download_url

Generates a presigned download URL for a file in a workbench session mount. Accepts a relative path within the mount.

x-api-key<token>

Project API key authentication

In: header

Path Parameters

session_idstringRequired

The unique identifier of the tool router session

Format: toolRouterSessionId
mount_idstringRequired

ID of the storage mount

Request Body

application/json

mount_relative_pathstringRequired

Relative file path within the mount

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://backend.composio.dev/api/v3/tool_router/session/trs_123456789/mounts/files/download_url" \  -H "Content-Type: application/json" \  -d '{    "mount_relative_path": "report.pdf"  }'
{
  "download_url": "string",
  "mount_relative_path": "string",
  "sandbox_mount_prefix": "string",
  "expires_at": "string"
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}
{
  "error": {
    "message": "string",
    "code": 0,
    "slug": "string",
    "status": 0,
    "request_id": "string",
    "suggested_fix": "string",
    "errors": [
      "string"
    ]
  }
}